API · Exit · Entities
Release wind down reserve.
Release the held balance of a WindDownReserve back into the entity's residual cash. Used when the underlying CreditorClaim is denied, time-barred, or settled for less than the held amount (with the difference released). Reserves cannot be released while their underlying claim remains open or disputed.
Last updated
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
release_amount_usdnumberRequiredAmount to release. Must be ≤ held_amount_usd. A full
release transitions the reserve to status: closed; a
partial release transitions to status: partially_released.
reasonstringRequiredOne of
"claim_denied""claim_time_barred""settlement_under_held_amount""recategorization"Response Body
application/json
Request
curl -X POST "https://api.mattermode.com/v1/wind_down_reserves/{id}/release" \ -H "Content-Type: application/json" \ -d '{ "release_amount_usd": 0, "reason": "claim_denied" }'const body = JSON.stringify({ "release_amount_usd": 0, "reason": "claim_denied"})fetch("https://api.mattermode.com/v1/wind_down_reserves/{id}/release", { method: "POST", headers: { "Content-Type": "application/json" }, body})package mainimport ( "fmt" "net/http" "io/ioutil" "strings")func main() { url := "https://api.mattermode.com/v1/wind_down_reserves/{id}/release" body := strings.NewReader(`{ "release_amount_usd": 0, "reason": "claim_denied" }`) req, _ := http.NewRequest("POST", url, body) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := ioutil.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body))}import requestsheaders = { "Authorization": "Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc", "Matter-Version": "2026-06-10", "Idempotency-Key": "ee7c3a9b-3f1a-4d8e-9b2a-7c5e1f0a2d4b",}payload = { "release_amount_usd": 1, "reason": "claim_denied"}resp = requests.post( "https://api.mattermode.com/v1/wind_down_reserves/id_placeholder/release", headers=headers, json=payload,)resp.raise_for_status()print(resp.json())import java.net.URI;import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.http.HttpResponse.BodyHandlers;import java.time.Duration;import java.net.http.HttpRequest.BodyPublishers;var body = BodyPublishers.ofString("""{ "release_amount_usd": 0, "reason": "claim_denied"}""");HttpClient client = HttpClient.newBuilder() .connectTimeout(Duration.ofSeconds(10)) .build();HttpRequest.Builder requestBuilder = HttpRequest.newBuilder() .uri(URI.create("https://api.mattermode.com/v1/wind_down_reserves/{id}/release")) .header("Content-Type", "application/json") .POST(body) .build();try { HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString()); System.out.println("Status code: " + response.statusCode()); System.out.println("Response body: " + response.body());} catch (Exception e) { e.printStackTrace();}using System;using System.Net.Http;using System.Text;var body = new StringContent("""{ "release_amount_usd": 0, "reason": "claim_denied"}""", Encoding.UTF8, "application/json");var client = new HttpClient();var response = await client.PostAsync("https://api.mattermode.com/v1/wind_down_reserves/{id}/release", body);var responseBody = await response.Content.ReadAsStringAsync();curl --request POST 'https://api.mattermode.com/v1/wind_down_reserves/id_placeholder/release' \ --header 'Authorization: Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc' \ --header 'Matter-Version: 2026-06-10' \ --header 'Idempotency-Key: ee7c3a9b-3f1a-4d8e-9b2a-7c5e1f0a2d4b' \ --header 'Content-Type: application/json' \ --data '{ "release_amount_usd": 1, "reason": "claim_denied"}'const response = await fetch("https://api.mattermode.com/v1/wind_down_reserves/id_placeholder/release", { method: "POST", headers: { "Authorization": "Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc", "Matter-Version": "2026-06-10", "Idempotency-Key": "ee7c3a9b-3f1a-4d8e-9b2a-7c5e1f0a2d4b", "Content-Type": "application/json", }, body: JSON.stringify({ "release_amount_usd": 1, "reason": "claim_denied" }),});if (!response.ok) { throw new Error(`Matter API ${response.status}: ${await response.text()}`);}const data = await response.json();console.log(data);Response
application/json{
"object": "wind_down_reserve",
"id": "string",
"entity_id": "string",
"creditor_claim_id": "string",
"creditor_claims_window_id": "string",
"kind": "general_reserve",
"court_petition_id": "string",
"held_amount_usd": 0,
"released_amount_usd": 0,
"status": "held",
"authorizing_resolution_id": "string",
"opened_at": 0,
"closed_at": 0,
"created": 0,
"updated": 0,
"livemode": true
}No example available.